KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.5.6 (MPC):

8fa7a982e 2021-11-10 Jasem Mutlaq         In case of framing, do not capture again in fast exposure as that it already done for us at the driver level
5d14f61ae 2021-11-10 Jasem Mutlaq         Move response handling even before Ekos is connected
6dc096f79 2021-11-10 Jasem Mutlaq         Make the INDI server connection error uses KStars notification system
f79aa5e7d 2021-11-10 Jasem Mutlaq         Connection to INDI server should be INFO not ALERT
0a583df80 2021-11-10 Jasem Mutlaq         Refactor name to standard INDI
6bf9fb7f5 2021-11-10 Jasem Mutlaq         Extra check to stop countdown timer when not required
0a42c0180 2021-11-10 Jasem Mutlaq         Improve fast exposure behavior in focus and align
6d4fea42f 2021-11-10 Jasem Mutlaq         Add extra check to prevent crash in case frame dimensions are different
89dbf27a6 2021-11-10 Jasem Mutlaq         Refactor name from exposure looping to fast exposure since the latter is more intuitive
e076f16e4 2021-11-10 Jasem Mutlaq         Clean up capture module after dark library is done
c5897aa63 2021-11-08 Jasem Mutlaq         Separate dark processor in its own class. Problem was in using a singleton to...
190831806 2021-11-08 Jasem Mutlaq         MPC base comets
41121c62a 2021-11-08 Jasem Mutlaq         Add support for selecting star by fraction of image size
9b64e0777 2021-11-07 Jasem Mutlaq         Use 1920 for high bandwidth images
e483a90a1 2021-11-06 Jasem Mutlaq         Fix clear data button not causing the graph not refresh
9c606673c 2021-11-05 Wolfgang Reissenberger Align event based target
b0b920de6 2021-11-01 Jasem Mutlaq         Add a row to display focus source temperature and the delta so that it is not ambigous
e494f5d03 2021-10-30 Jasem Mutlaq         Accept MDPD drivers to have possible aliases. Though this only works when a single device is detected
177743f0f 2021-10-26 Jasem Mutlaq         INDI Drivers sync
3ea37b529 2021-10-24 Jasem Mutlaq         Suspend on filter focus offset change. Also only suspend if OAG is in use
baa1fd701 2021-10-26 Jasem Mutlaq         What's up tonight DSO fix
623aa9e9f 2021-10-19 Antonio Escriban     tooltip about fixed options for 'SEP Multi Star'-algorithm
75144f58c 2021-10-25 Jasem Mutlaq         Move fits_write_img to last operation before closing to avoid possible HDU issues.
db0809bf4 2021-10-23 Jasem Mutlaq         Indiana reverted to using DST
05c79cd93 2021-10-22 Jasem Mutlaq         Fix polyfill issues on vanilla 20.04 with Qt 5.12
895c27852 2021-10-21 Jasem Mutlaq         Use Tp as the JD of perihelion. Still the results are not very accurate compared to JPL
2cb7f88d3 2021-10-21 Valentin Boettcher   basic fix for asteroids
022665db8 2021-10-20 Jasem Mutlaq         Fix crash due to missing camera possibly after driver restart due to a timeout.
21981dd2f 2021-10-17 Antonio Escriban     configSEPMultiStarOptions - small addendum
0b9530f9f 2021-10-17 Jasem Mutlaq         No Queued Blocking signals and slots
cb0f9a03a 2021-10-17 Hy Murveit           Add relative HFR calculation to Linear focus algorithm. Improve plotting. Tweak algorithm.
d650674d7 2021-10-16 Jasem Mutlaq         After capture sequence is started, resync scheduler target position in alignment module
6b79f840b 2021-10-16 Jasem Mutlaq         Disable PHD2 test until it passes properly in the CI
8ba4c33d9 2021-10-16 Jasem Mutlaq         Do not show nan magnitudes in the tooltip
08aaca20b 2021-10-14 Hy Murveit           emergency crash fix--guideview was nullptr
4282a74ad 2021-10-13 Jasem Mutlaq         Add logging when there is out of memory error in FITSData. Would be better to know application own memory use as well
724095c73 2021-10-13 Jasem Mutlaq         Make ksnotification use KStars own KSMessageBox
319d4e9e1 2021-09-21 Antonio Escriban     improve guider binning setting/saving and check supported binning of guider camera to inform user in the log window of EKOS
b1e26f562 2021-10-08 Antonio Escriban     rearranged initialization (#0 Prelude) of dialogs in "Guide" to ensure updating of settings
842a71026 2021-10-11 Jasem Mutlaq         Do not run checkCCD if the module is busy as this might end up disconnecting...
102d25637 2021-10-11 Jasem Mutlaq         Check if dark frame can be loaded before proceeding
a7470e854 2021-10-03 Jasem Mutlaq         Use FWHM 1 as it appears to be much more reliable than 2 or above at detecting stars
a1a81a46a 2021-10-10 Jasem Mutlaq         Better handling for INDI::CCD errors since they can happen to a number of...
c697d6206 2021-10-06 Hy Murveit           switch fix to kstarsdatetime::addDays
38cc4a20d 2021-10-06 Hy Murveit           add fix to calculateDawnDusk and update test
0e680a7fb 2021-10-05 Hy Murveit           add test for dusk startup
17ea2674f 2021-10-09 Valentin Boettcher   fix the issue where dso magnitudes are not drawn
bb7cffeae 2021-10-09 Wolfgang Reissenberger Event based coordinate update
e5b4efda0 2021-10-07 Hy Murveit           fix testschedulerunit, which was crashing
1a33741f8 2021-10-08 Jasem Mutlaq         Do not show magnitude if nan
88cfea4b8 2021-10-01 Hy Murveit           Retry focus position when solution is pending, is before pass1 minimum, and HFR got worse
65dc13122 2021-10-04 Jasem Mutlaq         Consider file extension in the generated file placeholder. Unless @kchoi has another solution, this should probably be merged since DSLR images cann..
c4a2438be 2021-10-05 Hy Murveit           fix terrain for equirectangular projection
503e73e81 2021-10-05 Jasem Mutlaq         Improve port selector shouldShow algorithm so that it does not show singular device with singular serial port
46bfd741b 2021-10-05 Jasem Mutlaq         Add manufacturers to auxiliary
158947dc9 2021-10-05 Jasem Mutlaq         INDI driver sync
655795bb9 2021-10-05 Jasem Mutlaq         INDI drivers sync
f2d87ed4f 2021-10-03 Laurent Montel       GIT_SILENT: remove .arcconfig
0b1fba8ab 2021-10-02 Jasem Mutlaq         Also set current goto mode when setting solver action
69db0ba07 2021-10-01 Jasem Mutlaq         Quick fix dustCapLightEnabled -> lightBoxLightEnabled when checking currentLightBox
0fe1e1102 2021-09-30 Jasem Mutlaq         Make the websocket connections unique and introduce cache to reduce unnecessary property update messaging
3f3ad7887 2021-09-30 Jasem Mutlaq         Give more time for INDI to properly shutdown in case an existing server is detected
7c490745c 2021-09-30 Jasem Mutlaq         Break instead of return so that calibration state is set correctly
d9039d6ff 2021-09-29 Hy Murveit           Fix issue where PAA is falsely disabled due to FOV
4e890c352 2021-09-28 Hy Murveit           Add popup if image write fails
41a7d320c 2021-09-28 Jasem Mutlaq         Fix issue where saving flats to remote storage failed due to wrong camera...
b920b785f 2021-09-21 Heiko Becker         Add FindERFA cmake module
35fc49645 2021-09-23 Jasem Mutlaq         Since captured images are saved in a buffer, we do not persist bayer frames after debayering so we cannot save the file by copying. Bayer images wou..
d806e5c3c 2021-09-23 Jasem Mutlaq         Also include camera name
0c2b197c3 2021-09-23 Jasem Mutlaq         Restrict to 32x32 to be consistent with other icons
a41561c29 2021-09-22 Akarsh Simha         Increase the maximum value of the deep-sky magnitude limits to 30.
2bc3b2b18 2021-09-22 Hy Murveit           fix bug where hfr and eccentricity were not updating in fitsviewer
f6622f0c6 2021-09-22 Jasem Mutlaq         Check image for nullptr
aef8b3d31 2021-09-22 Jasem Mutlaq         Check if job index is within bounds
8c26cf623 2021-09-21 Jasem Mutlaq         Fix typo
23219a3a5 2021-09-20 Yuri Chornoivan      Remove extra translation string
c1cfa5484 2021-09-19 Wolfgang Reissenberger Manager GUI refactoring | Image preview with data overlay + capture counting streamlined
035ceb153 2021-09-19 Jasem Mutlaq         Check for lightbox before dust cap
038f89092 2021-09-19 Kwon-Young Choi      New flexible method to name filenames using `PlaceholderPath::generateFilename`
1d97ced0a 2021-09-18 Hy Murveit           Restructure test_ekos_scheduler_ops to allow for multiple job testing
2d417b636 2021-09-17 Alexander Lohnau     Convert HEALPix copyright statements to SPDX
a26205ae9 2021-09-17 Alexander Lohnau     Convert GPL-2.0-or-later copyright statements to SPDX
05b50d987 2021-09-17 Jasem Mutlaq         KStars v3.5.6 Beta
9d36d8272 2021-09-17 Alexander Lohnau     work/spdx
584462311 2021-09-16 Hy Murveit           Add git merge instructions to README.md
c4579a001 2021-09-16 Robert Lancaster     Fixing build on MacOS if the developer doesn't have dbus in the path, making it a warning instead of a failure
f316ca22d 2021-09-15 Jasem Mutlaq         Add port_selector to json settings
7b8d9a153 2021-09-14 Jasem Mutlaq         Restore check for set times

3.5.5 (Bella):

e16274917 2021-09-14 Jasem Mutlaq         KStars 3.5.5 stable
a9b1d5a22 2021-09-14 Jasem Mutlaq         Fix transit and set times for several types of objects. Only remaining problematic object is comets. Lunar, Solar, Planetary, and Stellar objects ri..
4ddf3bc17 2021-09-13 Hy Murveit           Tightened up the code related to capture suspending on bad guide deviations
9d5e16721 2021-09-14 Jasem Mutlaq         When no temperature is supplied, turn off force
4d0f5845e 2021-09-13 Jasem Mutlaq         No need for hack root cause fixed
c276f5ffa 2021-09-13 Jasem Mutlaq         Fix crash division by zero. BUGS:402941
31eaa16ab 2021-09-13 Hy Murveit           quiet frequent log message
d40b42685 2021-09-13 Jasem Mutlaq         Fix tooltips. Fixes #424699
3e727fab8 2021-09-13 Jasem Mutlaq         Reset default binning for solver to 2x2 since some cameras can be terrible at 4x4 leading to even more issues. Fix compiler warnings
3ad663d8c 2021-09-12 Pino Toscano         typo fix
32b28ed03 2021-09-12 Jasem Mutlaq         Change the infamous alignment failure message to suggest more items to check than just insufficient stars
7c1946093 2021-09-11 Jasem Mutlaq         Restore special check for onBinaryReceive
2f0cf7ec2 2021-09-10 Anthony Hinsinger    Disabled LTO
268caf693 2021-09-11 Valentin Boettcher   fix the pykstars python package
fd64fa993 2021-09-10 Jasem Mutlaq         Idle is acceptable state for parking and unparking for dust caps
9c3fb25ec 2021-09-10 Jasem Mutlaq         Better use the new isValid then isRegistered
2e36eb832 2021-09-10 Jasem Mutlaq         Check for nullptr in syncing switch and return
06be887e8 2021-09-10 Jasem Mutlaq         Use dataProp.getPermission instead of accessing parent direclty
53dd2001f 2021-09-08 Hy Murveit           bug fix: end calibration section in guidelog when calibrating 1D
ab575d260 2021-09-09 Jasem Mutlaq         INDI drivers sync
fa2f0fac1 2021-09-08 Jasem Mutlaq         Check for alignment in constructor since it is already registered before class is created
37d7b6f82 2021-09-08 Jasem Mutlaq         On abnormal disconnect, try to clear devices first by using BlockingQueuedConnection connection type with serverFailure signal
a100fa166 2021-09-08 Jasem Mutlaq         Use modern connect
eb137327f 2021-09-07 Hy Murveit           Fix issue where calibration wasn't updated if guider binning was changed
56d3372e8 2021-09-08 Jasem Mutlaq         Add new city in German. Fixes #130
f86983c5d 2021-09-07 Hy Murveit           move vect.h and matr.h to namespace GuiderUtils
69ea81e02 2021-09-07 Jasem Mutlaq         Partial fix for #442082 regarding building on newer Eigen version.
ffffe23e8 2021-09-07 Jasem Mutlaq         Add extra checks to prevent mix up of camera signals to guide slots
f757267f9 2021-09-06 Hy Murveit           fix guide driftplot for RA
25058a519 2021-09-06 Hy Murveit           Guider fixes: ra error plotting reversed, disabling axes bug
df269e340 2021-09-06 Jasem Mutlaq         Sort by magnitude and activate supernovae when searching for them
4d4e5a55b 2021-09-06 Jasem Mutlaq         When searching for exact dso object, use lower to provide case-insensitive search
c45ca58ee 2021-09-06 Jasem Mutlaq         Save guide bin index properly for future sessions
5840eb553 2021-09-05 Jasem Mutlaq         Fix the elusive FITSViewer window popping up without image. tabID was never reset to -1 when a FITSViewer is closed mid-sequence so instead of calli..
678c5e360 2021-09-05 Jasem Mutlaq         + Fix crash on crash when INDI server is still running. + INDI Control Panel was using a very convoluted layout system that results in few bugs when..
f5d92a964 2021-09-04 Jasem Mutlaq         Use array for designations
d7864b5a6 2021-09-03 Valentin Boettcher   skycomponent db import: do not ask and move to unique name...
fadc315a5 2021-09-03 Jasem Mutlaq         Sync startup time to system when starting a profile in EkosLive
9e14dbfb4 2021-09-02 Hy Murveit           fix crash in test_polaralign
4ebe78ad6 2021-09-01 Jürgen Terpe         Resize manager: change the size of the log view
acf1c21c3 2021-08-31 Jasem Mutlaq         Fix pre-capture script not executing before each capture as intended
126879e3a 2021-08-29 Jasem Mutlaq         Remove message hack
e014ceb04 2021-08-29 Robert Lancaster     Moving some kstars-mac building commands to cmakelists from the craft script to make it easier for potential coders
9b00fd163 2021-08-29 Jasem Mutlaq         Add fov_w and fov_h to hipsfinder
34f93cde2 2021-08-28 Jasem Mutlaq         Enclose searchObjects by the required ifdefs
575263f04 2021-08-28 Jasem Mutlaq         Do not search objects in FITS after loading WCS unless it is explicitly needed.
0af86470c 2021-08-28 Jasem Mutlaq         Use local time directly and let almanac do the conversion to UT.
baf962fbf 2021-08-27 Jasem Mutlaq         Increase timeout
a85a38c02 2021-08-27 Robert Lancaster     Eliminating formerly required Python options for local astrometry.net on MacOS
aeebedcae 2021-08-27 Jasem Mutlaq         Possible fix for CI test failure
4a03f493b 2021-08-27 Yuri Chornoivan      Fix minor typos
a57f2889a 2021-08-26 Jasem Mutlaq         INDI drivers sync
e7de78d1d 2021-08-19 Hy Murveit           Refactor guider, adjust UI, convert to 0-1.0 control parameter, use calibration, add calibration test.
3a76f6907 2021-08-25 Edgar Scholz         Update skyculture sternenkarten simplifying some constellation lines adding new constelllation lines for the southern hemisphere
2354ea736 2021-08-26 Valentin Boettcher   store a reference to the database file instead of a string
1d87ec995 2021-08-26 Jasem Mutlaq         Add missing header
2dd49c1af 2021-08-26 Alexander Lohnau     Use QFINDTESTDATA to make search for test data more robust
2e37228d4 2021-08-23 Jasem Mutlaq         Add filter wheel sync test to demonstrate MR \!397
a8ec089f7 2021-08-23 Jasem Mutlaq         Ensure that filter info is synchronized before capture. This sets the active filter wheel in camera ACTIVE_DEVICES so that the filter value can be p..
99add6c0d 2021-08-23 Jasem Mutlaq         Add post refresh phase in order to shutdown properly when done. Update documentation
0679c0ae3 2021-08-23 Jasem Mutlaq         Fix tab order
d629cb0ac 2021-08-23 Jasem Mutlaq         Fallback to scale and then later position in case of align solver failure
a7767c195 2021-08-22 Jasem Mutlaq         Some early documentation. Needs a lot more still
e84986d41 2021-08-22 Jasem Mutlaq         Fix minor warnings
4f98b9c6c 2021-08-22 Jasem Mutlaq         More fixes to issue in the migration process
33d93a265 2021-08-22 Jasem Mutlaq         More minor fixes due the migration process
0a444b30e 2021-08-22 Jasem Mutlaq         Separating manual rotator in its own class
e6f8f4b9e 2021-08-22 Jasem Mutlaq         Init polar alignment in constructor
e756f059d 2021-08-22 Jasem Mutlaq         Removing legacy polar alignment. Separating polar alignment in its own class. Still does not compile need more work
faa288335 2021-08-21 Jasem Mutlaq         Solve an odd condition whereas duration is selected in capture sequenence, but ADU target is selected so that the final duration is determined by Ek..
78782f5d5 2021-08-21 Jasem Mutlaq         Check that rectangle is valid for sending off to stellarsolver
4c00c51bd 2021-08-21 Jasem Mutlaq         Respect scale and position options when using load and slew
4f5204a9a 2021-08-21 Jasem Mutlaq         Separate mount model into its own class
d1b829e41 2021-08-25 Jasem Mutlaq         solverCam --> solverCamera
1a156e37f 2021-07-21 Antonio Escriban     Save Binning, Fits filter settings (guider), Camera gain (solver) and configure SEPMultistarOptions correctly
90c8dfc28 2021-08-24 Valentin Boettcher   update paths to the test db to accomodate !395
9b050ebb0 2021-08-23 Jasem Mutlaq         Disable TestEkosSchedulerOps test since it cannot apparently run in a CI environment with DBus server
cb9fe8013 2021-08-19 Hy Murveit           Fix compiler warnings
9e7f243d3 2021-08-22 Alexander Lohnau     Define CMake, Qt and KF requirements to versions that are shipped with Ubuntu 18.04
837c12fcb 2021-08-21 Wolfgang Reissenberger Bug fix for profiles and target names containing special XML characters
62f217c25 2021-08-21 Valentin Boettcher   add more information to the catalogsdb docstring
3dbd0200b 2021-08-20 Jasem Mutlaq         Do not return duplicate search objects
37b0d9584 2021-08-20 Jasem Mutlaq         Search each object type separately
edbaf78e0 2021-08-18 Hy Murveit           Revamp guider UI, remove dead code
2e297137a 2021-08-19 Hy Murveit           Defensive checks in capture.cpp
8a3ca1233 2021-08-18 Jasem Mutlaq         Add observability and riseset support to EkosLive
f048f70ac 2021-08-14 Jasem Mutlaq         Use 1280 as default for media in EkosLive
01bb34a6c 2021-08-13 Hy Murveit           crash-fix: check for activeJob in setCaptureComplete
60e54952e 2021-08-14 Hy Murveit           Add altitude adjustment for terrain image. Fix bug.
8a7193d24 2021-08-12 Hy Murveit           Adjust golden values in polar-align test to match changes in bf86d2e3
950a987ff 2021-08-11 Jasem Mutlaq         Set solver profile when it changes in options otherwise it will not be picked up by Ekos in the current session
3001752d9 2021-08-11 Jasem Mutlaq         Reset image data before loading a new image in align view so that the new image is assigned after loading is done. This fixes an issue with loadands..
4cce79ae2 2021-08-11 Jasem Mutlaq         Since actual devices in an observatory can take a while to startup unlike simulators, their ready signal could have been already emitted before the ..
adbbb7e5d 2021-08-10 Jasem Mutlaq         Emit newModule() as early as possible to help against a race condition in scheduler whereas it is waiting for ready signal to be emitted by the modu..
0bc9ee02a 2021-08-10 Jasem Mutlaq         Only register observatory module once
89a437dc3 2021-08-10 Valentin Boettcher   fix performance for loading thumbnails
5d0c6e1b9 2021-08-10 Jasem Mutlaq         Do not change camera while it is capturing
218953bef 2021-08-10 Jasem Mutlaq         Fix connection, supposed to go to manager updateCurrentHFR
c2fc4976e 2021-08-10 Jasem Mutlaq         Mark test as unstable
1474aa3c5 2021-08-10 Wolfgang Reissenberger Move focuser back to initial position when interrupted by a meridian flip
24efced5f 2021-08-06 Jasem Mutlaq         Fix build on Windows. Migrate to use more #pragma once for header files
4038931f6 2021-08-06 Valentin Boettcher   increase search radius for right click
f74b03f24 2021-08-06 Valentin Boettcher   resize catalog table headers to fit contents
102f7a5cd 2021-08-06 Jasem Mutlaq         Minor code readability improvements
2c71e7c0b 2021-08-06 Valentin Boettcher   use type aliases for the dso db return types
6494258cd 2021-08-06 Yuri Chornoivan      i18n fixes
a8638e0c7 2021-08-06 Jasem Mutlaq         HiPS finder to generate images for offline storage
cb31b5082 2021-08-05 Valentin Boettcher   Skycomp import
4834e3cc5 2021-08-04 Jasem Mutlaq         No need to say USE in checkbox
c8dd0be67 2021-08-04 Jasem Mutlaq         INDI driver sync
be7624ae2 2021-08-03 Wolfgang Reissenberger Tests for capture workflow
c30ce7d73 2021-08-01 Yuri Chornoivan      Give a meaningful title to the color editor dialog
ca5028200 2021-08-01 Hy Murveit           Add horizon altitude constraints to the scheduler. Add testing.  Improve dbus...
6c2e034b0 2021-07-31 Valentin Boettcher   Add catalog color to the docs
566e2d802 2021-07-31 Valentin Boettcher   add color database tests
f1e2df5d5 2021-07-31 Valentin Boettcher   correct empty default
9df332bef 2021-07-29 Valentin Boettcher   remove gruft from tests
a161d52c1 2021-07-29 Valentin Boettcher   test and fix color string parsing and dumping
ab6621fd3 2021-07-29 Valentin Boettcher   remove a stray qdebug
8af6d816e 2021-07-27 Valentin Boettcher   implement color selection for catalog edit form
877959efe 2021-07-27 Valentin Boettcher   move more functionality into the color editor
6a6c41ffc 2021-07-27 Valentin Boettcher   better contrast
c837e36f3 2021-07-27 Valentin Boettcher   identify color scheme by filename
8b41724c2 2021-07-26 Valentin Boettcher   accept cancellation
2a48f640f 2021-07-26 Valentin Boettcher   add ui for color selection
dbb0cc3f1 2021-07-26 Valentin Boettcher   record color scheme names and files globally
635944f64 2021-07-26 Valentin Boettcher   improve the docstring
f657e5509 2021-07-26 Valentin Boettcher   basic color support
2e5557e56 2021-07-27 Valentin Boettcher   fix dso_db_path to give the correct path with a slash
036ddb348 2021-07-26 Valentin Boettcher   implement basic colors table
bf86d2e37 2021-07-31 Akarsh Simha         Fix core computations in SkyPoint and StarObject, and a few other improvements.
8cda1153a 2021-07-28 Jasem Mutlaq         Disable RunTimeLocation test as it keeps failing on OpenSUSE and FreeBSD. Fixes #124
5e603e92b 2021-07-28 Yuri Chornoivan      Better sectionning for translation
7d353e717 2021-07-28 Jasem Mutlaq         Add more information on why this particular test keeps failing
d7f39cd83 2021-07-28 Akarsh Simha         "Batch add" option in the Observation Planner
d6dc1f193 2021-07-27 Valentin Boettcher   fix dso_db_path to give the correct path with a slash
d53eab53d 2021-07-27 Akarsh Simha         Expose the internet-based name resolver via DBus
9e0ea7d34 2021-07-27 Jasem Mutlaq         Merge branch 'bellaperez/kstars-bellaperez/Documentation'
8db2bdc19 2021-07-26 Antoni Bella Pérez   Merge branch 'bellaperez/Documentation' of invent.kde.org:bellaperez/kstars into bellaperez/Documentation
7991d68f6 2021-07-26 Antoni Bella Pérez   Lastest changes
5e04da0d1 2021-07-25 Antoni Bella Pérez   More revision with items reordered
a3f149e7b 2021-07-25 Antoni Bella Pérez   Make it more visual adding some GUI icons
01c3799a1 2021-07-25 Antoni Bella Pérez   Rename other screenshot
a9caf514f 2021-07-25 Antoni Bella Pérez   Suitable screenshots rename
2ad58f678 2021-07-26 Antoni Bella Pérez   squash 85566b790 Suitable screenshots rename squash e3db55aad Rename other screenshot squash 93b8cf57c Make it more visual adding some GUI icons squ..
777aa42d0 2021-07-25 Antoni Bella Pérez   Add menu items and suitable tags
f7f0b1e31 2021-07-23 Antoni Bella Pérez   Renew screenshots
cd784a2e0 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
dacce8c08 2021-07-26 Antoni Bella Pérez   Lastest changes
182a80854 2021-07-26 Valentin Boettcher   qAppName is not known until runtime
2c995dc3e 2021-07-26 Jasem Mutlaq         Disable port selector for the guide test
496360a48 2021-07-25 Antoni Bella Pérez   l10n: Punctuation and capitalize
6beac9288 2021-07-25 Antoni Bella Pérez   More revision with items reordered
93b8cf57c 2021-07-25 Antoni Bella Pérez   Make it more visual adding some GUI icons
e3db55aad 2021-07-25 Antoni Bella Pérez   Rename other screenshot
85566b790 2021-07-25 Antoni Bella Pérez   Suitable screenshots rename
ed9b97671 2021-07-25 Antoni Bella Pérez   Merge branch 'bellaperez/Documentation' of invent.kde.org:bellaperez/kstars into bellaperez/Documentation
8737aa63c 2021-07-25 Antoni Bella Pérez   Merge branch 'master' of invent.kde.org:education/kstars into bellaperez/Documentation
449fe8727 2021-07-25 Antoni Bella Pérez   Add menu items and suitable tags
438eb08b2 2021-07-23 Antoni Bella Pérez   Renew screenshots
1b4d80d2c 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
5b1914466 2021-07-24 Hy Murveit           Restore the HFR etc statistics.
55c620a70 2021-07-23 Antoni Bella Pérez   Renew screenshots
d213c3a62 2021-07-23 Antoni Bella Pérez   Documentation updates  * Review all items
6123fa93e 2021-07-22 Yuri Chornoivan      Fix minor typos
0884643e5 2021-07-21 Jasem Mutlaq         Label KSPath test as unstable since it fails on CI
c3d580cc4 2021-07-21 Hy Murveit           Refactor scheduler, use just one timer, add unit testing.
d101568ac 2021-07-21 Valentin Boettcher   fix the object counts in the observation wizard
a3c2303b5 2021-07-20 Wolfgang Reissenberger Bugfix for guiding target plot showing mirrored plots
aaaa1feb1 2021-07-21 Antoni Bella Pérez   GUI l10n fixes
13834ad30 2021-07-19 Wolfgang Reissenberger Bugfix shared pointers in capture count widget
fae50b500 2021-07-19 Jasem Mutlaq         Use timer based approach to show the port selector
8ba923311 2021-07-19 Jasem Mutlaq         Toggle profile port selector
b9f35b78e 2021-07-17 Wolfgang Reissenberger Fixed compiler warnings
48e46ce61 2021-07-18 Jasem Mutlaq         Bring back auto dark in capture module
d4da61ef8 2021-07-18 Jasem Mutlaq         Sort by master dark capture date
fb73702b1 2021-07-17 Jasem Mutlaq         Do not call WCS dependent functions without WCSLIB
9ccf1f5bd 2021-07-17 Jasem Mutlaq         Remove unnecessary reset in sequence job that was only used to reset batch mode
9c5028c10 2021-07-17 Jasem Mutlaq         Do not allow histogram width to be zero
adaf4ec88 2021-07-10 Jarno Paananen       Remove precalculated pixel-to-WCS lookup table which takes huge amounts of memory (two floats per pixel) and slows down image loading in favor of ca..
08b13460a 2021-07-14 Valentin Boettcher   update bundled openngc
0386e1a21 2021-07-14 Valentin Boettcher   hack to make sorting work
4f10d59fc 2021-07-14 Valentin Boettcher   find objects by wildcard to avoid wrong objects showing up
0771fd970 2021-07-10 Valentin Boettcher   move the prefix definition where it belongs
e476d439b 2021-07-10 Valentin Boettcher   remove accidental double pasting
5f7848af1 2021-07-10 Valentin Boettcher   restore catalog exploration to what's interesting
35a7e0f72 2021-07-09 Valentin Boettcher   clean up indentation in wiview.qml
ddd9f67a3 2021-07-14 Wolfgang Reissenberger Manager refactoring | re-usable widgets extracted
0be6e85a8 2021-07-14 Jasem Mutlaq         Use a smarter method to show the port selector dialog
45c9695b8 2021-07-14 Yuri Chornoivan      Fix minor typos
679497898 2021-07-14 Yuri Chornoivan      Fix typo, optimize docbook parsing for translation
e262e2688 2021-07-14 Jasem Mutlaq         New Profile Port Selector
93c6f30f7 2021-07-13 Nicolás Alvarez      Don't auto-retry GitLab CI jobs
53e62ce5b 2021-07-13 Valentin Boettcher   fix doc issues discovered by checkxml5
a38047c8d 2021-07-13 Valentin Boettcher   Dso docs
8908f69b0 2021-07-13 Jasem Mutlaq         When Ekos resets, release dark library
cae45d2eb 2021-07-12 Valentin Boettcher   generic data location to app data location
01b134b3c 2021-07-11 Valentin Boettcher   change usage of writableLocation in texturemanager
7d4ed9361 2021-07-11 Jasem Mutlaq         In capture and solve if image data is missing, assign from view
e768088e7 2021-07-10 Jarno Paananen       Remove templating from rescale function as the template type is not used for anything (anymore?). Also fix a typo in "hasDebyaer".
249350d35 2021-07-09 Valentin Boettcher   pre populate the search dialog with the brightest objects
b661673a8 2021-07-09 Jasem Mutlaq         Many functions still depend on FITSView loading the image fully when when the FITSData is emitted. Such functions should be gradually moved to separ..
772298d80 2021-07-08 Jasem Mutlaq         Remove underscore from target name when setting FITS_OBJECT
74c9563e5 2021-07-07 Simone Tisa          Improve randomness of non guiding dithering
1da63e84b 2021-07-07 Alexis Lopez Zubieta Fix/appimage
563c5f336 2021-07-07 Eric Dejouhanet      Hotfix for the twilight restriction
68cd35cad 2021-07-07 Dušan Poizl          Stable alphabetical INDI device order
d71333ad1 2021-07-07 Eric Dejouhanet      Rewrite KSPaths::writableLocation to give test their own environment.
a320f01e5 2021-07-07 Jasem Mutlaq         Mount QML changes caused crash on raspberry pi perhaps due to language issue in variable subsutiion. Have a workaround now for this to work
addb57755 2021-07-06 Siyu Zhang           Control Mount with arrow keys
c2b40918d 2021-07-02 Jasem Mutlaq         Move away from FITSView and try to use FITSData directly in order to decouple the data processing from GUI
d130fa950 2021-06-26 Nate Graham          Add shortcuts for increasing and decreasing the time scale
4c1ebb5f4 2021-07-06 Jasem Mutlaq         kdoctools-dev --> libkf5doctools-dev starting from Ubuntu 21.04
e48bd5e95 2021-07-06 Jasem Mutlaq         Starting 3.5.5 development cycle
fcedf7bb6 2021-07-06 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
5a05e1009 2021-07-06 Jasem Mutlaq         Update XML types for more direct access to variables by external programs
4283b82ef 2021-07-06 Jasem Mutlaq         Use fully qualified name for CommunicationStatus so that external programs do not cause QMetaType errors
50c6a3242 2021-07-05 Valentin Boettcher   the download dialog should belong to kstars
94ad6adce 2021-07-05 Valentin Boettcher   fix the date conversion in pykstars and add catalog meta update
5149471e2 2021-07-04 Valentin Boettcher   nicer backup filename
5f9e33bda 2021-07-04 Valentin Boettcher   backup dso db
86ac115a8 2021-07-02 Valentin Boettcher   only lesser versions are a problem
d7d5a5c6f 2021-07-02 Valentin Boettcher   test reading timestamps
78ed73fe1 2021-07-02 Valentin Boettcher   fix i18n typo
6fc38b301 2021-07-02 Valentin Boettcher   implement migration for reading meta
571324d0c 2021-07-02 Valentin Boettcher   add migration to import
65cfd5699 2021-07-02 Valentin Boettcher   add timestamp support to pykstars
bba1e308c 2021-07-02 Valentin Boettcher   update test db
e3959205a 2021-07-02 Valentin Boettcher   add timestamp field to catalog and a migration to update the db
56f732cb8 2021-07-03 Jasem Mutlaq         Prepare for 3.5.4 stable release
3fe7f5941 2021-07-03 Valentin Boettcher   show notice about the knewstuff bug

3.5.4 (Gera):

7498a113d 2021-07-03 Valentin Boettcher   clear texture cache before reloading the deeps sky, cache not found
305007451 2021-07-02 Jasem Mutlaq         Set correct frame information for DSLR
896d37996 2021-07-02 Eric Dejouhanet      Fix twilight calculation
8443f28f1 2021-07-01 Valentin Boettcher   don't show catalog identifier
ac694e05f 2021-06-30 Jasem Mutlaq         Merge branch 'lancaster/kstars-master'
d76113a8d 2021-06-30 Valentin Boettcher   Better dso search
bacb23249 2021-06-30 Valentin Boettcher   also check top level dir for textures
01f357a9b 2021-06-30 Valentin Boettcher   update default openngc
53b39b377 2021-06-30 Valentin Boettcher   make object hashes more stable by only hashing essential fields
d0b0ece76 2021-06-29 Robert Lancaster     Fixing typo2
38189b7b8 2021-06-29 Robert Lancaster     Fixing typo
f2f82ae39 2021-06-29 Robert Lancaster     fix descriptions due to wikipedia API update
01c0ad994 2021-06-29 Robert Lancaster     Merge branch 'master' of https://invent.kde.org/education/kstars
f2972aa6f 2021-06-29 Valentin Boettcher   fix the thumbnails in what's interesting
782f19f9f 2021-06-27 Valentin Boettcher   Revert "draw dso with the correct position angle" and fix it for good
f40a0e7c6 2021-06-26 Valentin Boettcher   draw dso with the correct position angle
9512d5254 2021-06-26 Valentin Boettcher   rediscover textures when downloading with knewstuff
6c72ce03f 2021-06-26 Valentin Boettcher   only discover texture dirs once
0f94ae768 2021-06-26 Jasem Mutlaq         Remove Boost requirement for Windows
aec4d7647 2021-06-25 Valentin Boettcher   correctly detect if the master catalog exists
0ea39d5c8 2021-06-25 Valentin Boettcher   load inline textures faster
6fe8ccb6f 2021-06-24 Jasem Mutlaq         INDI drivers sync
c5d43c5b5 2021-06-23 Valentin Boettcher   hide inline images and initialize m_image_loaded correctly
b380b83fa 2021-06-23 Valentin Boettcher   bring back the moon (and other solar system textures)
7f5e80829 2021-06-23 Valentin Boettcher   make label density even cleverer
6d8760431 2021-06-21 Valentin Boettcher   Implement inline images for DSO, organize thumbnail downloads into separate directory
16cf8d159 2021-06-21 Hy Murveit           Add filter synonyms for Analyze
3574cd138 2021-06-20 Valentin Boettcher   make the label density for catalogs cleverer
0dc0ad435 2021-06-20 Yuri Chornoivan      Fix minor typos
c3d369471 2021-06-19 Valentin Boettcher   remove nonsensical qsqlquery wrapper
a4b519ad1 2021-06-19 Valentin Boettcher   give the user the option to start over if the dso db is unreadable + better initialization
f986ac75e 2021-06-18 Valentin Boettcher   fix the AUTHORS list to be in alph. orderd
bc8f96103 2021-06-18 Valentin Boettcher   be less verbose in the detailsdialog
8919454be 2021-06-18 Yuri Chornoivan      Fix minor typos in docs
54bdbbc5b 2021-06-18 Yuri Chornoivan      Fix one more i18n()
b3ba86881 2021-06-18 Yuri Chornoivan      Fix i18n()
c9796ef79 2021-06-18 Yuri Chornoivan      Fix minor typos
be9d8156b 2021-06-18 Yuri Chornoivan      Fix message extraction
8a92a7ab0 2021-06-17 Valentin Boettcher   fix segfault in whatsinteresting
55f0aea68 2021-06-17 Valentin Boettcher   fix windows build by removing unsupported structure init
8e7e74453 2021-06-17 Valentin Boettcher   check in forgotten test data
e0a3ea3db 2021-06-17 Valentin Boettcher   Dso overhaul
6a17d7aff 2021-06-16 Wolfgang Reissenberger Suspend mode added to align module
14259e3ca 2021-06-15 Jasem Mutlaq         Only force fusion on non-KDE desktops.
286aea8cf 2021-06-15 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
f0162f7a7 2021-06-14 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
e69d7da74 2021-06-14 l10n daemon script   GIT_SILENT made messages (after extraction)
43172bba1 2021-06-12 Jasem Mutlaq         Use newer style coding for for loops. Use ISD::Telescope instead of raw device
10ae85bb9 2021-06-12 Jasem Mutlaq         Unless stopping driver is requested, do not try to stop drivers on remote manager
0593d51ad 2021-06-12 Jasem Mutlaq         Since GUIDE_DITHERING_SETTLE is ONLY set when ditherSettle > 0, therefore there is no need to check if it meets this condition since it is a must, a..
7f7ef51f4 2021-06-12 Jasem Mutlaq         If not dither settling is required, capture immediately, otherwise skip capture
872ec4734 2021-06-08 Yuri Chornoivan      Fix minor typo
711a107c9 2021-06-07 Eric Dejouhanet      Astrometry tests in CI
15bc20a91 2021-06-07 Jasem Mutlaq         If focus motion command times out in 30 seconds, command it again. If after 3...
42fd89e76 2021-06-07 Wolfgang Reissenberger Manager UI cleanup
700da587e 2021-06-07 Jasem Mutlaq         Check if weather check is enforced before shutting down. Comment out for now unused function
20570cef7 2021-06-02 Jasem Mutlaq         Increase sensitivity of pixel scale difference by an order of magnitude to detect small variations in focal length
95fdd1b37 2021-05-27 Jasem Mutlaq         Better state transition logging
be4c957b6 2021-05-26 Jasem Mutlaq         Remove extra fprintf
38c8ca689 2021-05-26 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
70690e650 2021-05-26 l10n daemon script   GIT_SILENT made messages (after extraction)
9cc3e2026 2021-05-24 Jasem Mutlaq         Add temperature regulation dialog box
0ace45948 2021-05-22 Hy Murveit           Magnifying glass for fitsviewer.
628d7db6d 2021-05-20 Hy Murveit           Cleanup. Remove deprecated FITSView::getImageData. Fix typo.
489168917 2021-05-19 Paweł Soja           Use non-pointer INDI::Property.
29e87a8b6 2021-05-19 Yuri Chornoivan      Remove extra semicolons
f01492f34 2021-05-18 Hy Murveit           Remove the red text color from the polar-align instructions.
9452053b5 2021-05-11 Hy Murveit           Readability--replace loadSlewState with solveFromFile.
f27c9ce2d 2021-05-17 Jasem Mutlaq         INDI driver sync
4199047fd 2021-05-16 Eric Dejouhanet      Small update to the Scheduler docbook for the Mosaic Tool.
689ea7404 2021-05-17 Yuri Chornoivan      Fix minor typos
0b7564b42 2021-05-17 Yuri Chornoivan      Fix minor typo
dedb7c9d7 2021-05-16 Eric Dejouhanet      Improve Mosaic Tool state
e1ded1e85 2021-05-15 Jasem Mutlaq         Add detection and algorithm to focus log on start
bd7c0e5fb 2021-05-15 Jasem Mutlaq         Use source temperature directly
0082c4259 2021-05-15 Jasem Mutlaq         if source temperature is invalid, try to read from current source
34774e237 2021-05-14 Jasem Mutlaq         Sync setting when temperature source changes
c73dfc823 2021-05-10 Pawel Soja           Simplify code - Use INDI::WidgetView<>.
9a627986e 2021-05-10 Jasem Mutlaq         Use KSNotification to send events
aef83fc6a 2021-05-10 Jasem Mutlaq         Set calibration mode (previously preview_mode) whenever calibration is started...
0c3da5721 2021-05-08 Jasem Mutlaq         Using adjusted with path() in Qt has a negative effect in Windows where driver letters are removed from the path. Falling back to a simpler method t..
fedf419e7 2021-05-09 Jasem Mutlaq         Make user select explicit temperature source for focus instead of assuming which source to use
d5b11325d 2021-05-08 Jasem Mutlaq         Simplify message for toggling rotator
346275b9a 2021-05-08 Yuri Chornoivan      Fix weird formatting
3e21f05f8 2021-05-03 Hy Murveit           Refactor artificial horizon constraints. Add ceiling constraint. Add unit tests. Use Great circle.
bb37143cb 2021-05-06 Alexander Lohnau     GIT_SILENT Add auto generated files to .gitignore
e32f6399c 2021-05-04 Wolfgang Reissenberger Bugfix meridian flip for lower culmination
efc58b174 2021-04-17 Hy Murveit           Refactor scheduler for unit testing. Add Unit Tests.
5e0a1a6fc 2021-05-01 Eric Dejouhanet      Fix catalog download crash
5cd188f59 2021-04-30 Jasem Mutlaq         Start using temperature in passive cameras
58fc41ab6 2021-04-30 Jasem Mutlaq         Fix login AND to OR
2de30edc4 2021-04-29 Jasem Mutlaq         Revert unintended change, remove Qt::DirectConnection
dc7e3007d 2021-04-29 Jasem Mutlaq         Fix upper limit for exposure in dark library
c7d73a5ff 2021-04-29 Jasem Mutlaq         Fix rare crash on exist where client could still be active and sending updates
fcbd6718e 2021-04-29 Jasem Mutlaq         Fix null QObject disconnect error
864468396 2021-04-27 Eric Dejouhanet      Improve WUT performance by testing magnitude before visibility.
1adf58605 2021-04-26 Heiko Becker         Fix build without BUILD_KSTARS_LITE and libraw
e2bf44592 2021-04-26 Siyu Zhang           Fix build
ed31d56b6 2021-04-26 Jasem Mutlaq         Starting v3.5.4 development cycle

3.5.2 (Huygens):

ec39e58d5 2021-02-28 Jasem Mutlaq         Fix return code error
fea80004a 2021-02-28 Jasem Mutlaq         Improve solve failure alignment message
157c8cff0 2021-02-28 Jasem Mutlaq         Mark stable release for 3.5.2
487ca62b2 2021-02-28 Eric Dejouhanet      Fix fread return code check and non-init block use.
e6c2c9c4c 2021-02-27 Hy Murveit           Save the estimated GPG period.
a2f6995f6 2021-02-28 Yuri Chornoivan      Fix wrong usage of i18np()
d80cef232 2021-02-27 Eric Dejouhanet      Fix Guider capture/reacquire timeout handling
3f0274dda 2021-02-27 Eric Dejouhanet      Protect from focuser loss, ensure autofocus stop from button.
a09145800 2021-02-24 Aziz Bouland         adds the ability to set the video buffer size and the max frames per second sent from ekos programtically
ab65d91b8 2021-02-24 Jasem Mutlaq         INDI driver sync
739c70fb8 2021-02-23 Hy Murveit           Save Align accuracy. Add focus position to Analyze focus info box.
8240afe3c 2021-02-22 Yuri Chornoivan      Fix minor typo
4aaad41e8 2021-02-22 Jasem Mutlaq         Fix build error
601788519 2021-02-21 Jasem Mutlaq         Simplify PAA messages
65b0f85d5 2021-02-18 Jasem Mutlaq         Add more information about mount coordinates conversions in log
9ecc46851 2021-02-18 Jasem Mutlaq         Add ha to mount messages
c5a7b5be0 2021-02-18 Eric Dejouhanet      Protect from focuser loss, ensure autofocus stop from button.
11e7f786c 2021-02-16 Jasem Mutlaq         Send pixmap for low-res images
d61c55749 2021-02-16 Jasem Mutlaq         No need to send temperature as state
224caa313 2021-02-16 Jasem Mutlaq         Fix crash in serial port assistant device navigation
b26c18ea1 2021-02-11 Hy Murveit           Add apt-add-ppa to README.md build instructions.
c97f2adb4 2021-02-09 Eric Dejouhanet      Fix issues found by Coverity Scan (level medium)
578da02cb 2021-02-08 Jasem Mutlaq         Disable placehold test on Windows until fixed later
8962f1cc6 2021-02-08 Eric Dejouhanet      Fix issues found by Coverity Scan (level High).
e50708a71 2021-02-08 Jasem Mutlaq         Only debayer images that originally have single channel in the fits header.
dec23434b 2021-02-08 Jasem Mutlaq         Make sure we have single channel to read data min and max. For multichannel we calculate directly.
b0268d421 2021-02-07 Jasem Mutlaq         Add visual studio ignores
ea1cc1f96 2021-02-07 Jasem Mutlaq         Disable strict iterators for Windows
1426c837f 2021-02-07 Jasem Mutlaq         Make KStars compile on Windows in Debug mode. Apparently headers order is important
bfd04bf36 2021-01-27 Kwon-Young Choi      Test SequenceJob::getSignature
b4e350952 2021-01-19 Kwon-Young Choi      Empty TestPlaceholderPath class in preparation of issue #54
43c5c5dbe 2021-02-05 Jasem Mutlaq         INDI Drivers sync
2d790408f 2021-02-05 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
c10e174fe 2021-02-03 Hy Murveit           PAA UI: Fix wording. Speedup drawing of circle.
1caa4dcce 2021-02-04 Yuri Chornoivan      Fix minor typos
c5c04f2e9 2021-02-03 Hy Murveit           New UI to help user correct polar alignment.
4c3a23ed3 2021-02-02 Jasem Mutlaq         Simplify serial assistant
783a076fb 2021-02-02 Jasem Mutlaq         Add weather interface as well since most are serial devices
e37423958 2021-02-01 Jasem Mutlaq         No need to scale bounded rectangle
708d9be9d 2021-01-31 Eric Dejouhanet      Fix sequence unexpectedly changing when pasting a Scheduler job.
dc14609eb 2021-01-26 Jasem Mutlaq         Quick fix for meridian message box crash
2e32f9886 2021-01-26 Jasem Mutlaq         Use KSMessageBox dialog to display meridian warning. Send az and alt error in the polarUpdated signal
86b990833 2021-01-25 Hy Murveit           PAA fix issue with rotation, adjust test.
b1a4eba48 2021-01-25 l10n daemon script   GIT_SILENT made messages (after extraction)
5b3eacbd9 2021-01-24 Jasem Mutlaq         Send state when modules are started
df1571634 2021-01-24 Jasem Mutlaq         Simplify PAH text
e0bd6d66c 2021-01-24 Akarsh Simha         Update DSS URLs to https.
dcc946b43 2021-01-24 l10n daemon script   GIT_SILENT made messages (after extraction)
9ab004338 2021-01-22 Hy Murveit           PAA bugfix, make sure PAA is running before cancelling it on solver fail.
54c8299b8 2021-01-23 Jasem Mutlaq         Fix build on BSD
cef2ab206 2021-01-23 Jasem Mutlaq         Fix build on Windows
dc3e949a0 2021-01-23 Jasem Mutlaq         Add adaptive sampling as a possible solution to load large images in memory constrained systems
fb74da14b 2021-01-22 Hy Murveit           Fix PAA manual rotation message, Retry if solver fails, PAA UI cleanup.
7619cc39a 2021-01-21 Jasem Mutlaq         Safe to add blocking connection back. No deadlock detected with tests
f89934aa3 2021-01-21 Jasem Mutlaq         Emit change for vector correction
83b04aa39 2021-01-16 Rick Bassham         feat: add rotation to scheduler
74e0dac19 2021-01-20 Hy Murveit           Simplify AlignView for PAA and fix bug there.
ed097b432 2021-01-20 Jasem Mutlaq         Remove older code now that we send updated frame
1941d7623 2021-01-20 Jasem Mutlaq         Make the connection unique
81570e3a8 2021-01-20 Jasem Mutlaq         Send correction vector on update
4f3be0fc6 2021-01-20 Jasem Mutlaq         Fix mount speed settings in polar alignment
1c57e4518 2021-01-20 Jasem Mutlaq         Ignore SIGPIPE again
1b3245b3c 2021-01-20 Jasem Mutlaq         Safe to use blocking queued connection now
0975bdf7f 2021-01-20 Jasem Mutlaq         Auto park on PAH completion should be off now by default
c02f114a5 2021-01-18 Jasem Mutlaq         Fix Ekoslive PAH refresh
74c8d9d91 2021-01-18 Jasem Mutlaq         Remove Pluto from planet search in observation wizard
17637042f 2021-01-17 Hy Murveit           Analyze details table--move to QTableWidget.
2a6ed9959 2021-01-17 Jasem Mutlaq         Remove extra functions for end focus as they were causing confusion. Focus tested under multiple real scenarios under Ikarus Observatory along with ..
6a797bfaf 2021-01-17 Jasem Mutlaq         Create userdb database backup file and restore it once detecting a corrupted file for whatever reason
3656fed1d 2021-01-17 Jasem Mutlaq         Delete client later to prevent crash under some scenarios
a65830501 2021-01-17 Jasem Mutlaq         Abort focus if it is in progress while meridian flip is underway
2e3ca42ba 2021-01-17 Jasem Mutlaq         WHen in meridian flip, ignore focus state changes
85c3b3196 2021-01-17 Jasem Mutlaq         Must set this flag otherwise state is not dispatched in completeFocusProcedure
f53607cdc 2021-01-17 Eric Dejouhanet      Fix Capture aborting exposure of Focus
8f55f85d2 2021-01-16 l10n daemon script   GIT_SILENT made messages (after extraction)
8dcefc97b 2021-01-15 Jasem Mutlaq         If ekos status is not idle, try to stop ekos first before starting again
b90f3ef33 2021-01-13 Jasem Mutlaq         Set maximum temperature diff to 1 up from 0.1 as many cameras coolers are not usually accurate enough to 0.1. This would allow for first image to ki..
05510da0e 2021-01-15 Hy Murveit           PAA--cleanup test. Update user messaging.
53f886c33 2021-01-15 Jasem Mutlaq         Send ekoslive events even when not fully connected
e15ef966f 2021-01-15 Jasem Mutlaq         Use KSNotification on device connection failure
f87c3ba28 2021-01-15 Jasem Mutlaq         Use KSNotification::event instead of direct KNotification
26c615d94 2021-01-15 Jasem Mutlaq         Use more sane defaults for INDI message notification and starting step size for most focusers
29cda560e 2021-01-13 Jasem Mutlaq         Use Blocking Queued Connection again since deadlock issue temporarily fixed on INDI side
0fa393571 2021-01-13 Hy Murveit           PAA: sample from the center of the image. Update test. minor bugfix.
b7ac3bd53 2021-01-11 Hy Murveit           Fix PAA type (purple -> green).
cbe33115a 2020-12-20 Hy Murveit           New polar-alignment scheme
4635b3b08 2021-01-10 Brodrick Bassham     feat: manual rotation dialog in alignment module
c5e8b6234 2021-01-10 Jasem Mutlaq         Starting 3.5.2 development cycle

3.5.1 (Centauri):

0b214549f 2021-01-07 Jasem Mutlaq         Mark 3.5.1 stable release                                                                                                                             
6fd6ba608 2021-01-06 Jasem Mutlaq         Yet another fix to in sequence focus not getting reported to capture module after completion                                                          
d204d7237 2021-01-05 Jasem Mutlaq         Fix crash when no object was clicked in recent satellite MR                                                                                           
542911112 2021-01-02 Eric Dejouhanet      Fix focusEffect option test.                                                                                                                          
287f375ac 2021-01-03 Pedro Rodriguez Perez Fix xi18n argument: it can't be split over multiple lines                                                                                             
803b6f499 2021-01-03 Eric Dejouhanet      Additional fix for focus state changes                                                                                                                
a6fa048db 2021-01-02 Hy Murveit           Add option to control downsampling on stretch slider preview.                                                                                         
3b53c5446 2021-01-03 Yuri Chornoivan      Fix minor typo                                                                                                                                        
dd96446b6 2021-01-02 Jasem Mutlaq         Set subtract parameters when existing frame is found as well                                                                                          
298566a67 2021-01-02 Jasem Mutlaq         Set inSequenceFocus to false once stopped and set state to Ekos::FOCUS_COMPLETE once there is no need to perform autofocus after checkFocus in invoked
2a6f959d2 2021-01-02 l10n daemon script   GIT_SILENT made messages (after extraction)                                                                                                           
7de4a03d5 2021-01-01 Eric Dejouhanet      Fix and validate management of image filter in Focus.                                                                                                 
a9b3a6d8e 2020-12-30 Eric Dejouhanet      Fix HFR check breaking running autofocus                                                                                                              
8f5ee7e4f 2020-12-30 Jasem Mutlaq         Fix timespec for observation time                                                                                                                     
cc23d8170 2020-12-30 Jasem Mutlaq         Gracefully handle remove probs. All tests ran OK with this change                                                                                     
a39da7171 2020-12-30 Jasem Mutlaq         INDI drivers sync                                                                                                                                     
c6c189b19 2020-12-28 Jasem Mutlaq         FITS saving failed because we used datatype while it was expecting imagetype                                                                          
1f2790158 2020-12-26 Jasem Mutlaq         Double check that guider chip is valid, if not fallback to primary                                                                                    
f08f7f74e 2020-12-25 Eric Dejouhanet      Skip mount control test until QML/GL mixed window issue is resolved.                                                                                  
4ad709d23 2020-12-25 Eric Dejouhanet      Relax capture timeout, add warning.                                                                                                                   
4c790b7f0 2020-12-25 Jasem Mutlaq         Guide limits should be first                                                                                                                          
d111331dd 2020-12-23 Jasem Mutlaq         Revert "Improve HiPS rendering on HiDPI screens as well by relaxing levels"                                                                           
081b064a9 2020-12-22 Fabrizio Pollastri   Mount Control: click on displayed coords to set them as input.                                                                                        
5ff349164 2020-12-23 Aziz Bouland         Adds Park everyday for ekoslive                                                                                                                       
d055ca42a 2020-12-22 Jasem Mutlaq         Fix potential crash when new operator fails. It should fail gracefully when memory allocation fails                                                   
38c862083 2020-12-22 Jasem Mutlaq         Revert "[Needs Review] Add missing CMake module for StellarSolver"                                                                                    
3d52e6981 2020-12-19 Akarsh Simha         Find StellarSolver in the usual UNIX locations                                                                                                        
3a1b62620 2020-12-19 Akarsh Simha         Update FindStellarSolver.cmake from current master of StellarSolver                                                                                   
a60cf3af2 2020-12-19 Akarsh Simha         [Needs Review] Add missing CMake module for StellarSolver                                                                                             
78b2374d4 2020-12-18 Hy Murveit           Changed the order of the Capture Tab columns.                                                                                                         
214386d8f 2020-12-17 Jasem Mutlaq         solver MODE would be used now to designate mode of operation local (stellarsolver) or remote solver. While solver TYPE would be used to differentiat..
ce952999d 2020-12-16 Jasem Mutlaq         Improve HiPS rendering on HiDPI screens as well by relaxing levels                                                                                    
e7e6ce298 2020-12-14 Pedro Rodriguez Perez Add satellite context menu copy TLE to clipboard                                                                                                      
f4505dcac 2020-12-15 Luigi Toscano        Revert "Fix xi18n argument: it can't be split over multiple lines"                                                                                    
dd0d33f0b 2020-12-14 Pedro Rodriguez Perez Fix xi18n argument: it can't be split over multiple lines                                                                                             
4f41d99bd 2020-12-13 Hy Murveit           Add handook doc to README.md                                                                                                                          
dd4559989 2020-12-14 Luigi Toscano        Fix xi18n argument: it can't be split over multiple lines                                                                                             
ea17d50eb 2020-12-11 Jasem Mutlaq         Make sure cameras that have focus and filter interface are not inadvertenly identified as pure focus or filter wheel device. Check for CCD bit mask ..
05bb5e469 2020-12-10 Hy Murveit           Make Linear focus restart a little gentler. Add test.                                                                                                 
1c9cf1c98 2020-12-10 Jasem Mutlaq         Check for device name before deleting properties.                                                                                                     
2b859c1b7 2020-12-09 Jasem Mutlaq         Scripts manager                                                                                                                                       
79ff9655d 2020-12-02 Hy Murveit           Capture option to wait for low drift. Also guider keeps better track of guide star. Analyze can plot this better rms.                                 
d15e198bd 2020-12-07 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours                                                                                        
496411fed 2020-12-07 l10n daemon script   GIT_SILENT made messages (after extraction)                                                                                                           
480a65cd7 2020-12-06 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
247eb3d2e 2020-12-04 Eric Dejouhanet      Remove some Ekos dependencies from builder                                                                                                            
451ac590c 2020-12-01 Cyril Richard        Fixes wcs structure and code when singular matrix is detected. Should fix #47                                                                         
e8da99b5d 2020-12-03 Hy Murveit           Fitsviewer option to overlay saturated pixels in red.                                                                                                 
2da33d40e 2020-12-01 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
f7fa10536 2020-11-29 Eric Dejouhanet      Fix the focus state notification                                                                                                                      
fafbf12e0 2020-11-27 Alexander Lohnau     Port KNS method                                                                                                                                       
757b6d9f9 2020-11-28 Eric Dejouhanet      Make the app-image build failure a warning only.                                                                                                      
3507693c8 2020-11-24 Jasem Mutlaq         Start KStars v3.5.1 development cycle                                                                                                                 
f8ac2f798 2020-11-22 Jasem Mutlaq         Apparently checking isEnabled is not reliable indicator since it depends on parent status as well                                                     
343f484ed 2020-11-22 Jasem Mutlaq         Call checkCCD..etc al when set setting is called for the first time to ensure all parameters are set up properly                                      

3.5.0 (StellarSolver):

3384e057f 2020-11-20 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
9e376958f 2020-11-19 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
56dc564a8 2020-11-18 Jasem Mutlaq         Only save debayered local file using copy method and not temporary ones
6f7352178 2020-11-18 Jasem Mutlaq         Update dependency
255dcd32d 2020-11-17 Jasem Mutlaq         Exclue User Input events to fix an issue on MacOS
8b1eacdae 2020-11-17 Eric Dejouhanet      Prevent duplicate focus execution.
69f97fd6d 2020-11-16 Jasem Mutlaq         Fix crash when multiple views access the same FITSData and where loading WCS is still in progress. Add a variable to keep watch on WCS processing st..
b3422835d 2020-11-15 Hy Murveit           Linear focuser fix bug where it hadn't been returning to initial position on error.
5b275fb3d 2020-11-16 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
1bb129f85 2020-11-15 Robert Lancaster     Updating CMakeLists to copy Data directory into the app bundle on Mac builds so that it doesn't have to be done in the build script.  Also changing ..
d1e1352d4 2020-11-15 Jasem Mutlaq         Remove unused headers
0dd339c95 2020-11-15 Eric Dejouhanet      Build on master and MRs, test and app-image on MRs only.
2109eb393 2020-11-15 Jasem Mutlaq         Do not warn about Sun if you are already tracking it
9b5156e22 2020-11-15 Jasem Mutlaq         Remove more unused old astrometry code
8dd932036 2020-11-14 Jasem Mutlaq         Comment disabled file
c7c03bfd8 2020-11-14 Jasem Mutlaq         Disable unused code. Create and add local astrometry folder to the list of astrometry paths
5c1c1b76e 2020-11-14 Jasem Mutlaq         Call configure local astrometry to create the local astrometry download folder
56dd014b8 2020-11-14 Jasem Mutlaq         Comment unused sources
39b6d8ab0 2020-11-14 Jasem Mutlaq         Reduce sizes
b70807bb2 2020-11-14 Eric Dejouhanet      Reset Ekos pop-ups parents
8ef5acddc 2020-11-13 Fabrizio Pollastri   Mount Control layout with font metrics
57c44d05c 2020-11-13 Eric Dejouhanet      Rework Focus UI button update.
69b159be6 2020-11-13 Hy Murveit           Give the fitsValue and fitsPosition status widgets a minimum width.
911f29311 2020-11-12 Robert Lancaster     Updating the profile editor to manage the initial keep parameter
83ed4971a 2020-11-12 Hy Murveit           Fix profile combobox bug
7ab6c95a6 2020-11-12 Jasem Mutlaq         Fix test fits data. Hopefully this is the last bit with default profiles
4886d9b31 2020-11-11 Hy Murveit           Fix annoying compiler warnings.
f8b9ca3de 2020-11-11 Eric Dejouhanet      Explicitly add libstellarsolver as dependency
25d417e5c 2020-11-11 Jasem Mutlaq         Update mount control status when slewing
bc6b3d43c 2020-11-11 Jasem Mutlaq         Fix several layout issues. Apparently less is more
dcce7dd4d 2020-11-11 Jasem Mutlaq         Disconnect client manager to this specific device when removing to prevent possible crash
8d542046b 2020-11-11 Jasem Mutlaq         Fixed LONG standing GUI bug affecting connection tab when some properties are removed and then later added. Now calling invalidate to refresh the la..
be7515a43 2020-11-11 Jasem Mutlaq         Use QtConcurrent to speed up WCS calculations
bb940ddcf 2020-11-10 Hy Murveit           Remember to reset the meridian flip (and other) settings on exit.
370ede8ca 2020-11-10 Jasem Mutlaq         Use QTime to produce the text
00e570b94 2020-11-10 Jasem Mutlaq         Throttle mount update status
0ce1926c4 2020-11-10 Jasem Mutlaq         const correctness and add meridian flip status accessor
88c82ce89 2020-11-10 Jasem Mutlaq         Add i18n to meridian flip status description
5cfdb5870 2020-11-10 Wolfgang Reissenberger Capture counting test cases added
15f72c16c 2020-11-10 Jasem Mutlaq         Send meridianFlipText separately
0c8d0f085 2020-11-09 Hy Murveit           Don't print HFR for flats in fitsviewer status line.
fba99848a 2020-11-10 Jasem Mutlaq         Should not disable meridian flip in polar alignment since it is not achieving the required result. An explicit call to mount module is required and ..
c15d8028a 2020-11-09 Hy Murveit           Modified default StellarSolver profiles for Guide and Focus
166f3d91a 2020-11-09 Hy Murveit           Fix bug where HFR status disappears from fitsviewer.
8f1d90fdf 2020-11-08 Jasem Mutlaq         INDI Drivers sync
70a5076bb 2020-11-07 Wolfgang Reissenberger Change fitsview tab title for image changes
e8af04cf4 2020-11-07 Jasem Mutlaq         Use image_data filename instead of currentURL which can be empty
25b789c2b 2020-11-04 Hy Murveit           Reorganize Analyze UI, add capture features.
d0f7c923b 2020-11-06 Jasem Mutlaq         Include filename even when loading data buffer to set the metadata necessary
59551491a 2020-11-05 Jasem Mutlaq         Delete all FITS viewers on exist
08d9aa954 2020-11-05 Jasem Mutlaq         Switch local stellarsolver if remote astrometry device is not detected
02922db06 2020-11-05 Jasem Mutlaq         Release all fits viewer if the option was indepdent windows since they will not be otherwise destroyed when KStars is
a5f1a5e74 2020-11-05 Jasem Mutlaq         Remote solver should be working again
8bd227f0c 2020-11-05 Jasem Mutlaq         Fix adding profile for cameras, guiders, and focusers
3dfb01546 2020-11-04 Eric Dejouhanet      Fix star count being limited by StellarSolver's default profile.
e9c606fd3 2020-11-04 Eric Dejouhanet      Work around the delay to add a sequence job item, consider invalid exposure and count.
d3be92d28 2020-10-27 Dušan Poizl          Fix opening FITS files where path contain non Latin1 characters
b90fe2201 2020-11-04 Jasem Mutlaq         Add HFR SEP Profiles
0b22df4b0 2020-11-04 Jasem Mutlaq         Remove pp added by mistake
f952564f4 2020-11-04 Jasem Mutlaq         Refactor to StellarSolverProfileEditor from generic OptionsProfilesEditor
a2cef5e53 2020-11-04 Hy Murveit           HFR StellarSolver Extraction profiles.
0be60f8a6 2020-11-03 Wolfgang Reissenberger Test cases for capture counting harmonized - tests with and without the scheduler use the same test data sets - new test data added showing bugs usi..
edb060431 2020-11-02 Jasem Mutlaq         Fix by Fabrizio Pollastri to Qt 5.15 Mount QML layout
1d0df82e7 2020-11-02 Jasem Mutlaq         Ensure the prior future if any completed processing before starting a new one
940a05d8f 2020-11-02 Jasem Mutlaq         Fixed the root cause leading the erronous GOTO when using the DBus GotoTarget function
60e223063 2020-11-02 Jasem Mutlaq         Restore function used in data visualization
fe85aa9a9 2020-11-02 Jasem Mutlaq         More .get to .data fixes for pre Qt 5.11
aaa132013 2020-11-02 Jasem Mutlaq         Fix warning
c4dfdc612 2020-11-02 Jasem Mutlaq         No need to clear a stacked declared variable
cd8eaa998 2020-11-02 Jasem Mutlaq         Set batch mode explicitly off to prevent any batch files written as a consequence
d1cdcb1f4 2020-11-02 Jasem Mutlaq         Fix jpg and png loading. Support monochrome natively
acfa86185 2020-11-02 Jasem Mutlaq         Do not fall back to searching full frame if there are no stars in the subframe. Let the calling function make that decision
e4c82583f 2020-11-02 Jasem Mutlaq         Use .data since .get is not available until Qt 5.11
46d67d9f3 2020-11-01 Hy Murveit           Remove red circles from SEPMultistar guideview
e8b32a694 2020-11-01 Jasem Mutlaq         Fix mount module slew to wrong coordinates
af7540d97 2020-11-01 Jasem Mutlaq         Handle cases where the corredponding module is not yet initialized
c653962c5 2020-11-01 Jasem Mutlaq         Add a check for the current Telescope pointer
976dc3067 2020-11-01 Jasem Mutlaq         Use delete later for FITSData and check if the future is running before waiting for it to finish
8492eab3f 2020-10-31 Robert Lancaster     Setting correct windows default paths for astrometry solving.
c27a4cd4c 2020-10-31 Jasem Mutlaq         Account for binned pixel
db771febd 2020-10-30 Jasem Mutlaq         Add more metadata and increase METADATA_PACKET size
5d8e55863 2020-10-29 Jasem Mutlaq         In case star detector is still running, wait for it to finish before destroying the object
dfe6ee466 2020-10-29 Jasem Mutlaq         Set binning and sep profile in align
8ee91df8f 2020-10-28 Jasem Mutlaq         Limit testfitsdata to StellarSolver
b3d670d52 2020-10-28 Jasem Mutlaq         Do not run tests if StellarSolver is not installed
1416dd6ee 2020-10-28 Jasem Mutlaq         Use more sane defaults for focus. Can be better optimized
dfb2552f2 2020-10-27 Jasem Mutlaq         Check if special value is not invalid
aa97bb16d 2020-10-27 Jasem Mutlaq         Use INVALID_VALUE to learn whether the value has been initialized
87ec60260 2020-10-27 Jasem Mutlaq         Init offset and gain special values
da0f07418 2020-10-27 Jasem Mutlaq         Fix gain and offset add job settings
67f727db7 2020-10-27 Jasem Mutlaq         load from image QByteArray
100f0e0c2 2020-10-27 Jasem Mutlaq         Use RGB888 to save on memory when loading from buffer
22a3ac419 2020-10-27 Jasem Mutlaq         Media load and slew support
758a122dd 2020-10-27 Jasem Mutlaq         Add a new command to send stellarsolver profiles
c3c17b910 2020-10-27 Jasem Mutlaq         Handle capture preset in loop
b1cbcace2 2020-10-27 Jasem Mutlaq         Rename StellarSolver profiles to more appropiate name. Add function to return a list of profile labels
985347101 2020-10-27 Jasem Mutlaq         Update build to use modern stellarsolver config targets
bd7b76b3a 2020-10-27 Jasem Mutlaq         Not required as stellarsolver would use config targets
5ae4a9eac 2020-10-27 Jasem Mutlaq         Fix header corruption when copying values
6d04886fe 2020-10-27 Jasem Mutlaq         Disable unnecessary function and reset FITSView
d51afaa14 2020-10-27 Jasem Mutlaq         Make event notification less spammy
bdb7d5784 2020-10-27 Jasem Mutlaq         Reset frame before focus capture
4dba074d5 2020-10-26 Jasem Mutlaq         Do not forget to announce state change for mount
b827b1d93 2020-10-26 Jasem Mutlaq         Re-enable loadandslew after solver failure
8cc9ab4cc 2020-10-26 Jasem Mutlaq         When saving to a new FITS file, create it from a new image since we could have debayered the buffer and lost the original bayered buffer since it is..
fbf04c95d 2020-10-26 Jasem Mutlaq         Use QByteArray instead of passing raw buffers
8fc67230a 2020-10-26 Jasem Mutlaq         WHen loading images use all formats at once to avoid confusion
f9638b9c2 2020-10-26 Jasem Mutlaq         Fix target diff refactor
7bd28c2a3 2020-10-26 Jasem Mutlaq         Migrate old-style signals/slots to the new style
276a12d96 2020-10-26 Jasem Mutlaq         Fix warnings and close and remove indi fifo file when server is stopped
b45531d18 2020-10-26 Jasem Mutlaq         Remove temporary file check since it is no longer valid
558448493 2020-10-26 Jasem Mutlaq         Fix FITS tests
0077370a9 2020-10-26 Jasem Mutlaq         Close buffer are use
07c8b0679 2020-10-25 Jasem Mutlaq         No need to set maxStarCount since it is set in the profiles
995e1a343 2020-10-25 Jasem Mutlaq         Send resolution along with video frame
bc2eb0e84 2020-10-25 Jasem Mutlaq         send extension in metadata
af1a79810 2020-10-25 Jasem Mutlaq         Open buffer before use
182db227a 2020-10-25 Jasem Mutlaq         For gain and offset, use their special value
4a1b51091 2020-10-25 Jasem Mutlaq         Fix StelalrSolver ifdef enclosure
1c2ed998c 2020-10-25 Jasem Mutlaq         Embed metadata with image
f19c96c15 2020-10-25 Jasem Mutlaq         Fix StellarSolver warnings
7e0056620 2020-10-25 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
f921dad0d 2020-10-25 Jasem Mutlaq         Use QSharedPointer for video frame
10b5d026a 2020-10-25 Jasem Mutlaq         Rework dark library handling with the FITSData
d1fd2c93e 2020-10-25 Jasem Mutlaq         Use temporary fake path name to ensure the file is recognized as preview
b749c9b9d 2020-10-25 Jasem Mutlaq         Fix min/max in special cases
b309d8ab7 2020-10-24 Jasem Mutlaq         Use files for online and offline solvers
0a77a9376 2020-10-24 Jasem Mutlaq         Move all FITSViewer window creation to KStars instance so that it can manage them fully while other objects only request from the pool of available ..
0a62e4648 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
f33714a06 2020-10-24 Jasem Mutlaq         Migrate channels to be part of the image statistics. Minor fixes
fada31090 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
0a67e2ff2 2020-10-24 Jasem Mutlaq         Use summary view if possible to send preview images, if not then from FITSData
546f368dd 2020-10-24 Jasem Mutlaq         Update capture module to work with FITSData directly. Fix gain setting
f85812fa9 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
626300316 2020-10-24 Jasem Mutlaq         Add new method to load data directly from FITSData and not disk files
a84c5fc08 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
5ffaf7808 2020-10-24 Jasem Mutlaq         Use QSharedPointer for FITSViewer
c8881b868 2020-10-24 Jasem Mutlaq         Add support to load RAW images
0a5d6709e 2020-10-24 Jasem Mutlaq         Remove auto convert FITS since that is no longer necesary
c056458f9 2020-10-24 Jasem Mutlaq         Use FITSViewer shared pointer
e12899511 2020-10-24 Jasem Mutlaq         Major refactoring for FITSViewer and how FITS and other data is handled: 1. Eliminate any unncessary "temporary" files. If we have a buffer, use it ..
83568b231 2020-10-23 Felix Yan            Correct a typo in darkmatter.docbook
696d5a022 2020-10-23 Nicolas Alvarez      GitLab CI: reduce parallel jobs in ninja
3ca7488ac 2020-10-22 Jasem Mutlaq         Improve setSetting so that it updates object information if toggled
aca1aa042 2020-10-22 Jasem Mutlaq         Fix tests. Need to re-check again after default profiles are embedded in KStars
e65a48404 2020-10-22 Jasem Mutlaq         Correct syntax leading to odd results
d22f267b8 2020-10-22 Jasem Mutlaq         Cast to double since JMIndex can be zero otherwise
f703c7ba8 2020-10-22 Jasem Mutlaq         Do not remote load and slew temporary file, it will be detected later
840a2d659 2020-10-22 Jasem Mutlaq         Restore align completion time. Do not copy solved file as it is not required with stellarsolver
393783486 2020-10-22 Jasem Mutlaq         Update settings upon adding filter wheel
a1c7b5a28 2020-10-22 Jasem Mutlaq         Use stars returned from StellarSolver to create edges directly
1e88074a6 2020-10-22 Jasem Mutlaq         Move block down so that it compiles on Windows due to weird conflict with stellarsolver astrometry
2a873898e 2020-10-21 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
c42bc42fa 2020-10-21 Jasem Mutlaq         Add check for jobs empty
43aca337f 2020-10-21 Jasem Mutlaq         Use Unique Connections for all module connections
8fd68915f 2020-10-21 Jasem Mutlaq         Get target params default settings before setting them
e386646d0 2020-10-21 Jasem Mutlaq         Forgot to include middle rect
d9d1167f8 2020-10-21 Jasem Mutlaq         Restore QuickHFR settings
000e8a9ac 2020-10-21 Jasem Mutlaq         Use cleanup
59faf2eab 2020-10-21 Jasem Mutlaq         Remove duplicate prepareJob
7023bc311 2020-10-21 Jasem Mutlaq         Add missing header
2f42d402b 2020-10-21 Jasem Mutlaq         Better handling for source extractor settings in FITSData
759c64c27 2020-10-20 Jasem Mutlaq         Add extraction background as a separate entity to the FITS data that can be retrieved after source extraction
9a89171a9 2020-10-20 Jasem Mutlaq         Enclose connect clause for dialog type confirmation in the corresponding if block
2767cd178 2020-10-20 Jasem Mutlaq         Send axis delta to ekoslive
b049d7abe 2020-10-20 Jasem Mutlaq         Fix missing closing slash in XML element
a1755653e 2020-10-20 Jasem Mutlaq         Update to extractor parallel computation
58aabb619 2020-10-19 Jasem Mutlaq         Standardize mount module interface
d9ef1810f 2020-10-18 Jasem Mutlaq         wrap solver in QPointer to prevent leak
f8c287bf1 2020-10-18 Jasem Mutlaq         Disable eventloop since extraction is sync operation now
ad6b33668 2020-10-17 Wolfgang Reissenberger Ekos states documentation for capture states
9208ba63a 2020-10-17 Robert Lancaster     Updating the Astrometry Config File and Index File Directory options so that they don't create duplicate entries, they remove nonexistant directorie..
652039e03 2020-10-17 Wolfgang Reissenberger Bugfix correcting meridian flip states for double meridian flips
5d7ff49ed 2020-10-17 Robert Lancaster     Adding the AutoDownsample function
15ba3c90a 2020-10-16 Robert Lancaster     Fixing online file path.  Renaming some combo box items
b3903b791 2020-10-16 Jasem Mutlaq         Make use of all available space
5c8fb5e02 2020-10-16 Jasem Mutlaq         Use updated signal to ensure proper shutdown of the solver. Requires updated stellarsolver
84d87a0e8 2020-10-16 Yuri Chornoivan      Add missing period
8863df103 2020-10-15 Jasem Mutlaq         Improve how FOV Position Angle is displayed with match with expectations in Ekos
bccebb707 2020-10-15 Jasem Mutlaq         Add sync target to mount function separately
544cf5a8a 2020-10-15 Jasem Mutlaq         Add accuracy and settle to settings
85b9f6a4e 2020-10-15 Jasem Mutlaq         Add focus option profiles to settings
40ed6072a 2020-10-15 Christian Dersch     Update OpenNGC to latest release (v20201004)
eef33ac6d 2020-10-15 Jasem Mutlaq         Fix non-FITS private load warnings
42e295f7e 2020-10-15 Jasem Mutlaq         Fix scope reporting
e24b0b211 2020-10-15 Jasem Mutlaq         process solverAction setting
be9ccdbb7 2020-10-15 Jasem Mutlaq         Add guide loop support
69b606eb7 2020-10-15 Jasem Mutlaq         Use pixmap for low bandwidth images
7d23ea305 2020-10-15 Jasem Mutlaq         Add loop function to guide
33d1abcd4 2020-10-15 Jasem Mutlaq         Add commands for focus and guide captures
43e2c29f1 2020-10-15 Jasem Mutlaq         Improve supplied vs effective focal lengths
8fdde98d4 2020-10-15 Jasem Mutlaq         Extend solver scale range from 80% to 120% of calculated values to allow for more room for variations
23f9127f6 2020-10-15 Jasem Mutlaq         Disable problematic test until further notice
9869bcfb5 2020-10-15 Jasem Mutlaq         Add additional check to ensure we are using the correct telescope when imaging a sequence
36eb16a1c 2020-10-14 Jasem Mutlaq         Increase overall streaming quality
a099f2361 2020-10-14 Jasem Mutlaq         Add space
3f4acf6fa 2020-10-13 Jasem Mutlaq         Fix typo and correct format
be009c503 2020-10-13 Jasem Mutlaq         Only debyaer .stream formats only
961409672 2020-10-13 Eric Dejouhanet      Switch deps to nightly
478382b13 2020-10-13 Jasem Mutlaq         Find existing header information to speed up load and slew like before using StellarSolver
5ea51643f 2020-10-13 Jasem Mutlaq         Fix scale and field units
0c31810ff 2020-10-13 Jasem Mutlaq         Add a function to parse solution header
9a27b51f0 2020-10-13 Jasem Mutlaq         Make startup wizard buttons more concrete and less confusing.
745b6d909 2020-10-12 Jasem Mutlaq         Restore the timer start when solving. Do not update effective FOV and focal length when in load and slew
1069cd896 2020-10-12 Jasem Mutlaq         Fix crash when remote solver is selected but not available due to missing driver
278bc3c15 2020-10-12 Jasem Mutlaq         Add focus, guide, and align to media websocket preview send
9e941a735 2020-10-12 Eric Dejouhanet      Add StellarSolver library to CI.
f597ae8bd 2020-10-12 Jasem Mutlaq         Make sure remote parse device exist. If not switch back to StellarSolver
6014b37a2 2020-10-12 Jasem Mutlaq         Fix typo
d6d3a27ff 2020-10-11 Akarsh Simha         In the find dialog, replace multiple spaces by single space.
8aebf4626 2020-10-11 Akarsh Simha         astyle fixes
4c1d71034 2020-10-11 Akarsh Simha         Hackish way to fix crash when a random text file is loaded as a session plan into the observing list tool
698fb43f8 2020-10-11 Jasem Mutlaq         Add a settle status to Ekos manager whereas any 3rd party clients can now know when it is safer to communicate given that all properties are defined..
ddb52173a 2020-10-11 Jasem Mutlaq         Fix calculation for effective focal length
a8b786e88 2020-10-11 Akarsh Simha         Minor improvement: Avoid inserting nullptr objects into the nameHash
d87b7b880 2020-10-11 Jasem Mutlaq         Remove ekos reference in FITS Sep detector
0491c0286 2020-10-11 Jasem Mutlaq         Use KSUtil when possible to return any default paths
d1e4e2115 2020-10-11 Jasem Mutlaq         Add effective focal length and ratio in align module
25660a7e3 2020-10-11 Robert Lancaster     Separating StellarSolver logging from Astrometry logging.  Improving message for failed solves when alignment logging is off.  Improving Focus loggi..
bce9e3dc8 2020-10-10 Yuri Chornoivan      Fix minor typos
f7fe2ba7d 2020-10-10 Jasem Mutlaq         Declare starCenters for both stellarsolver and regular SEP
51fbd126b 2020-10-09 Robert Lancaster     Master
12ab6230f 2020-10-09 Jasem Mutlaq         Fix testfitsdata after latest changes
10bb63b6e 2020-10-09 Jasem Mutlaq         Fix findStars usage
fa6d0f0f2 2020-10-09 Jasem Mutlaq         Fix build when stellarsolver is not installed
f7e82270e 2020-10-09 Jasem Mutlaq         Update code to use asynchronous mode for star detection
d5d00312b 2020-10-09 Jasem Mutlaq         Use the updated StellarSolver consolidated syntax
f95230b88 2020-10-09 Jasem Mutlaq         Fix the fits test with stellarsolver
ebc1f4a7a 2020-10-08 Jasem Mutlaq         Use more accurate description for solver type
e5878278c 2020-10-08 Jasem Mutlaq         Add libstellarsolver-dev to the dependencies
976208fd7 2020-10-08 Jasem Mutlaq         Fix crash when using raw pointer
82ccb1e90 2020-10-08 Jasem Mutlaq         Add new HFR_HIGH type which gets a star in the top 5% of detected stars to avoid overly saturated stars while still getting a bright star good enoug..
8e8ea898c 2020-10-08 Jasem Mutlaq         If bounded search fails, fall back to full frame
4c3b4151d 2020-10-08 Jasem Mutlaq         Fix memory allocation issue
77fb1287b 2020-10-08 Jasem Mutlaq         Revert to gradient as it is now more reliable than SEP
a44d6b9d3 2020-10-08 Jasem Mutlaq         Stop crash if stellarsolver object is not init
63f320e23 2020-10-08 Jasem Mutlaq         Fix build when StellarSolver is not available even though it is now a hard dependency if INDI is detected
b2a99b8fb 2020-10-08 Jasem Mutlaq         Fix stellarsolver includes
20943987e 2020-10-08 Jasem Mutlaq         No need for astrometry.net
4f67d3282 2020-10-08 Jasem Mutlaq         Star should be select after setting star center
9a2189911 2020-10-08 Jasem Mutlaq         Fix using boundary in stellarsolver
3e02202c8 2020-10-08 Jasem Mutlaq         Add stellarsolver dependency
e78154841 2020-10-08 Robert Lancaster     This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of the cha..
0ed5f9338 2020-10-08 Jasem Mutlaq         Revert "This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of..
1dd9baf71 2020-10-08 Jasem Mutlaq         This is a pretty big change.  It is the start of the integration of the StellarSolver Library that I created this spring.   Here are some of the cha..
7120f95a1 2020-10-07 Jasem Mutlaq         Add _GET for focus settings
489300e12 2020-10-07 Jasem Mutlaq         Fix warnings
5dd94370a 2020-10-06 Jasem Mutlaq         Fix property subscription
afe2e28d8 2020-10-06 Jasem Mutlaq         Add focuser name to the settings get/set
c643cb792 2020-10-06 Jasem Mutlaq         Fix absolute path and style
681f72a62 2020-10-05 Hy Murveit           Fix issue with Analyze Info Box's background color.
e690ee5c7 2020-10-06 Fabrizio Pollastri   Minimize the mean angle representation error of DMS/HMS formats
936d1e33e 2020-10-05 Jasem Mutlaq         Add separate setters for primary, process, and mechanics options in focus module
902789ba1 2020-10-05 Jasem Mutlaq         Add corresponding commands for setting settings
de226522c 2020-10-05 Jasem Mutlaq         Add focus json Settings
9e74446c7 2020-10-04 Robert Lancaster     Misspelled Options
106e9968d 2020-10-04 Jasem Mutlaq         Add focus and guide get/set settings. Improve sycning settings
896673f64 2020-10-04 Robert Lancaster     Fixing star detection problem in other algorithms
4b671724c 2020-10-03 Robert Lancaster     Enabling Options Editing with apply and OK button, Allowing chaning of options profile for focusing, deleting unused options, improving logging opti..
1ef9dcc5f 2020-10-03 Jasem Mutlaq         Fix sending video frames over websocket
c8cfc1b17 2020-10-03 Jasem Mutlaq         Add an assert to check for potentially invalid base device and client manager pointers
f2161238a 2020-10-03 Jasem Mutlaq         foreach --> for
b23157726 2020-10-03 Jasem Mutlaq         Add labels to calibrate and rotate buttons to make them easier to figure out
7062c36b0 2020-10-01 Philip Mair          Fix for temperature delta check When using single exposure jobs (SHOSHO...)
ec404ec3c 2020-10-03 Robert Lancaster     Merging with upstream master
2c3b8c64c 2020-10-03 Jasem Mutlaq         Add missing KSTARS_CCD dType to INDI::CCD
432b0d356 2020-10-02 Jasem Mutlaq         Further improve handling disconnecting clients. Add 50ms delay to connecting devices
6fccf3e9e 2020-10-02 Eric Dejouhanet      Fix some deadlocks and sigsegvs
f5e4e9836 2020-10-01 Hy Murveit           Move settle started log statement to the start of dithering to match phdlogview
d604b2835 2020-09-27 Hy Murveit           Skip GPG with large drift. Reset GPG if too many skips.
ff7fff6d8 2020-09-30 Robert Lancaster     Loading index folder paths both default and from config file
ae8f095f5 2020-09-30 Robert Lancaster     loading saved options list, deleting unused downsample option
8ad873931 2020-09-30 Jasem Mutlaq         Fix wrong static cast to int for double value
5af15c4cf 2020-09-29 Robert Lancaster     Creating a way for useScale and usePosition to be temporarily disabled for the loadAndSlew method.
0f3c1f7d7 2020-09-29 Jasem Mutlaq         Add accuracy and settle to setSettings in Align
b74f372e8 2020-09-29 Jasem Mutlaq         Support saving to QImage supported format
861caff77 2020-09-29 Jasem Mutlaq         Separate PNG and JPG save
23b8fe2c7 2020-09-29 Robert Lancaster     Enabling external program editor boxes
1103d4958 2020-09-29 Robert Lancaster     making index folder list editable
04642de74 2020-09-28 Robert Lancaster     trying again to fix find module on windows
b542fff01 2020-09-28 Robert Lancaster     trying to fix findstellarsolver.cmake
aa74bcdeb 2020-09-28 Robert Lancaster     Fixing problem with includes placement
972088205 2020-09-28 Robert Lancaster     Trying to fix the cmake module
85fa90625 2020-09-21 Hy Murveit           Add option to set max HFR for the guide star selected by SEP MultiStar.
480e2db4f 2020-09-28 Jeremy Burton        Fix sequence tag name
8b2b1e305 2020-09-28 Robert Lancaster     Correcting a forgotten disconnect that caused a crash
362239934 2020-09-28 Robert Lancaster     Adding the ability to load any image in load and slew and Open image
4b6c0dbb5 2020-09-27 Eric Dejouhanet      Fix gadget name in Capture Tests.
d576fd1dc 2020-09-27 Jasem Mutlaq         Add gain, iso, and dark to align JSON get/set presets
571da3b7b 2020-09-27 Jasem Mutlaq         Fix refactored save image error
7a18e0a58 2020-09-27 Jasem Mutlaq         Revert "Fix deprecated warning. endl --> Qt::endl"
3789e42f7 2020-09-27 Jasem Mutlaq         Fix deprecated warning. endl --> Qt::endl
4ce14076f 2020-09-27 Jasem Mutlaq         Fix sequence XML tags messed up due to mass replace before
2ca083c36 2020-09-27 Jasem Mutlaq         Set colorScheme as read-write property
156415dea 2020-09-27 Robert Lancaster     Enabling options profile editor buttons
c9cc6bfca 2020-09-25 Eric Dejouhanet      Color scheme update through d-bus
183ad39bc 2020-09-25 Jasem Mutlaq         INDI drivers sync
7402cc2be 2020-09-24 Jasem Mutlaq         Associate filter manager data with device
5d6c8880f 2020-09-24 Jasem Mutlaq         Add get and set data for filter manager
9272e360e 2020-09-24 Jasem Mutlaq         propElements is a better description for the variable
7a9aa6254 2020-09-23 Jasem Mutlaq         Implement EkosLive add and remove properties
5971ffdb5 2020-09-22 Jasem Mutlaq         Fix crash in guide module in case main camera is restarted
e57d3b8ec 2020-09-22 Eric Dejouhanet      Create ccache folder when gitlab runner lacks its cache.
c0f28925e 2020-09-22 Jasem Mutlaq         Fix compile error
8d84f21bb 2020-09-22 Jasem Mutlaq         Do not use filename when it is not necessary
91d0dcc94 2020-09-22 Eric Dejouhanet      Use ninja as build system instead of make, use ccache and fail fast on build.
396ab2c72 2020-09-22 Yuri Chornoivan      Use plurals, fix argument
28011870d 2020-09-21 Hy Murveit           Fix Analyze bug where bad timestamps can be used and written to analyze log
8e83bce18 2020-09-21 Jasem Mutlaq         Fix data type typo
7499206e7 2020-09-21 Akarsh Simha         Minor optimization: Move Options:: calls and floating point multiplication outside of drawing loop
d768c4aa8 2020-09-21 Akarsh Simha         Apply the deep-sky limiting magnitude to custom catalogs as well.
6bf859ac0 2020-09-21 Akarsh Simha         Refactor out the calculation for the deep-sky magnitude limit that we draw up to.
1a8aec58c 2020-09-20 Akarsh Simha         Inform the user when a wishlist object was not available in KStars instead of truncating the wishlist silently
aa1396bb0 2020-07-06 Akarsh Simha         Fix behavior of focus dialog when entering RA/Dec in JNow mode
7b3f37d6a 2020-09-20 Jasem Mutlaq         Add support to saving png/jpg in FITS Viewer
8bf143316 2020-09-20 Eric Dejouhanet      Reword ProfileEditor tooltips, especially remote INDI chaining.
19cae02e0 2020-09-19 Nicolas Fella        Remove unused include
528c3e74c 2020-09-17 Jasem Mutlaq         Add get calibration and file settings
3ad907342 2020-09-16 Jasem Mutlaq         Fix typo
f069f1358 2020-09-16 Jasem Mutlaq         Refactor capture module controls and add calibration, file, and limit settings to messages
c55eb81a5 2020-09-16 Jasem Mutlaq         Fix possible crash condition is currentFilterPosition <= 0
b207fc4be 2020-09-15 Kukuh Syafaat        add content rating
af9f6a642 2020-09-14 Jasem Mutlaq         Add ISO and Gain controls in Align module. This is a temporary solution as we should move to using presets with preset editor so that different came..
a52e61860 2020-09-14 Eric Dejouhanet      Condition use of horizontalAdvance to Qt 5.11+
b9b00ffe1 2020-09-12 Fabrizio Pollastri   Fix SkyPoint::EquatorialToHorizontal giving Az=360.0
a23eb10e4 2020-09-14 Eric Dejouhanet      Fix remote indi connection configuration and sigsegv on failure.
34b0c07aa 2020-09-13 Jasem Mutlaq         Fix warning and only search stars for LIGHT frames
f58c3b704 2020-09-13 Jasem Mutlaq         Fix INDI property to JSON translation
9fc522af6 2020-09-12 Eric Dejouhanet      Add Capture Module tests.
7fdf29242 2020-09-11 Jasem Mutlaq         Dynamically adjust font size based on how long the FOV name is
d15324a77 2020-09-10 Jasem Mutlaq         Refactor to be more consistent with code style
9831b5d1a 2020-09-10 Jasem Mutlaq         INDI drivers sync
b5cf8f524 2020-09-10 Jasem Mutlaq         Fix cpp-check warnings and Windows build error
72a7c8f16 2020-09-09 Cyril Richard        This fix the orientation issue: row order reversing will work differently for odd and even row count.
c55c2c3a8 2020-09-07 Jasem Mutlaq         Add device attribute to EkosLive device messages as it is required
9d7b3b17b 2020-09-06 Robert Lancaster     Updating defaults and fixing a crash
ddf5bcabd 2020-09-05 Fabrizio Pollastri   Fix class Dms double to float rounding
905746def 2020-09-05 Jasem Mutlaq         Update device time if KStars time is updated when applicable
9498c39a3 2020-09-04 Hy Murveit           Update the git tips section of README.md
f65d7f014 2020-09-02 Eric Dejouhanet      Relax RA/DEC match when slewing.
05fe66e98 2020-09-01 Doug Summers         Add alt to autofocus log lines (kstars log and autofocus log) in support of temperature and elevation focus compensation analysis
e17401310 2020-09-02 Hy Murveit           Fix testfitsdata.
affb11733 2020-08-31 Alexis Lopez Zubieta Include indiserver
fe07c8158 2020-08-28 Alexis Lopez Zubieta add appimage-builder recipe
c06150531 2020-09-01 Jasem Mutlaq         Add support to APPDIR for App image builds
3e26bbc6e 2020-09-01 Jasem Mutlaq         Add support to connecting to remote INDI hosts directly without device names
1d6565d72 2020-09-01 Jasem Mutlaq         Add manufacturer selection support to camera and focuser dropdowns to make it more accessible
f65347af8 2020-09-01 Jasem Mutlaq         INDI drivers sync
38c6dfafc 2020-09-01 Jasem Mutlaq         We can safe call startAstrometry now since it sets the target coordinate in the align module
05add3677 2020-08-31 Robert Lancaster     Making the OptionsProfiles work for KStars
1b72f18dc 2020-08-29 Hy Murveit           Improve Analyze zoom-in.
1314b03ee 2020-08-30 Robert Lancaster     Rotator and default paths combo box
b05ea1c11 2020-08-30 Yuri Chornoivan      Use i18n() instead of tr()
8bc1b3f6a 2020-08-30 Yuri Chornoivan      Allow flexible layout for labels on the Analyze tab
0a46e2dbe 2020-08-30 Yuri Chornoivan      Fix minor typos
3e6a13d62 2020-08-29 Yuri Chornoivan      Fix i18n() and typos
df9c28a67 2020-08-28 Robert Lancaster     Integrating Options
4e891aac0 2020-08-29 Jasem Mutlaq         Fix multithreaded race condition that could lead to crash between client and main GUI threads
bbc46886b 2020-08-29 Jasem Mutlaq         If Ekos option for Independent Window is selected, set Qt::Window flag accordingly.
01c6b2d8c 2020-08-28 Robert Lancaster     Updating docker test
a808199da 2020-08-28 Robert Lancaster     Some forgotten files in the commits
c99b53002 2020-08-28 Robert Lancaster     commenting out an issue
b57497179 2020-08-28 Robert Lancaster     Fixing conflicts
cffc7f79f 2020-08-28 Eric Dejouhanet      Using gitlab-runner to run tests.
d6d6dbc3c 2020-08-28 Eric Dejouhanet      Revert "Revert "Debugging test initialization.""
844f99123 2020-08-28 Eric Dejouhanet      Revert "Debugging test initialization."
11a445154 2020-08-28 Robert Lancaster     updating to new include directory name for stellarsolver
a2149a13a 2020-08-27 Hy Murveit           Change SEP MultiStar guiding from Experimental to Recommended.
77bb12748 2020-08-28 Yuri Chornoivan      Use entity
b620eb490 2020-08-28 Yuri Chornoivan      Add some formatting
e082d271b 2020-08-28 Yuri Chornoivan      Fix minor typo
9681ee46b 2020-08-25 Fabrizio Pollastri   Add sync with az/alt coordinates
7b45612a9 2020-08-27 Hy Murveit           Changed the help popup so that it scrolls. Added a way to input an alternate directory for FITS files.
9278ec8f1 2020-08-24 Yuri Chornoivan      Fix minor typo
f5af981af 2020-08-23 Eric Dejouhanet      Stabilize tests
f4a8a74c6 2020-08-23 Jasem Mutlaq         Make sure current telescope is initilized
0910ae8a2 2020-08-23 Jasem Mutlaq         Add support for forcing re-alignment before each job
3d9157ee3 2020-08-22 Robert Lancaster     Attempt at integrating the solver
d260ea008 2020-08-22 Jasem Mutlaq         Fix issue with dbus call missing arguments
f13b95b07 2020-08-22 Jasem Mutlaq         INDI Drivers sync
57b7e9f8f 2020-08-20 Eric Dejouhanet      Revert "Option added for re-aligning if guiding failed"
698b19a14 2020-08-20 Jasem Mutlaq         Add facility in Align module to set a custom target module. It used to be always based on current mount target, but under few circumstances, the cur..
7beff6309 2020-08-19 Wolfgang Reissenberger Checking dithering before focus check to avoid overlapping of both actions during pre-capture checks
6444cbc54 2020-08-19 Wolfgang Reissenberger Option added for re-aligning if guiding failed
c9bc7452d 2020-08-19 Pino Toscano         TestFitsData: increment loading timeouts to 10s
a9f07c324 2020-08-19 Jasem Mutlaq         Add extra check that property is registered
3d3c7e3d3 2020-08-17 Valentin Boettcher   correct small typo in the doxygen main page
43595faa3 2020-08-12 Nicolas Fella        Remove unneeded includes
45db55d66 2020-08-10 Jasem Mutlaq         Disconnect all blob managers when remotely disconnecting a server as well
e6a69db89 2020-08-05 Wolfgang Reissenberger Bug fix for continuing capturing after meridian flip if no guiding is running
0c7482e02 2020-08-03 Hy Murveit           Add BUILD_RELEASE to main kstars version display.
26f1cd330 2020-08-03 Jasem Mutlaq         Add pre-release warning to About page so that users can differentiate between beta and stable builds
027d1df28 2020-08-02 Jasem Mutlaq         Add concept of Proxy Devices which are devices that implmenet a different interface of a concrete device decorator.
3332d51f5 2020-08-01 Florian Signoret     Autofocus on observatory temperature change
b13ec7ea4 2020-07-28 Jasem Mutlaq         Fix compile errors
653a4a80f 2020-07-28 Hy Murveit           Adjust SEP MultiStar graphics so lines don't obscure guidestar.
f3f1165ea 2020-07-26 Jasem Mutlaq         Correctly handle "other" button.
328cd5477 2020-07-26 Hy Murveit           skip non-guide blobs in guider::newFITS, improve reaction to lost stars in dither, remove getLastStarPosition.
597ec9f0e 2020-07-25 Hy Murveit           Added MR description section to README.md. Changed Pull Request -> Merge Request.
4042555e6 2020-07-25 Jasem Mutlaq         Starting v3.5.0 development cycle
3d97cda93 2020-07-18 Hy Murveit           Fixed dither issue where when star is not found, large drift is wrongly calculated.
f0bfcdf13 2020-07-20 Pino Toscano         tests: do not pass a literal string as format string

3.4.3 (Neowise):

7b2c3a010 2020-07-18 Jasem Mutlaq         INDI driver sync
11130020b 2020-07-17 Eric Dejouhanet      Bugfix  phd2 protocol tolerance
19ec71c74 2020-07-17 Eric Dejouhanet      Fix qCompare int/double.
29abc4aef 2020-07-17 Eric Dejouhanet      Fix focus test missing header.
4fc154588 2020-07-16 Hy Murveit           Enable focus test
2c4aab15d 2020-07-07 Hy Murveit           Save and restore calibration, with test. Refactor calibration code.
b4c164f0a 2020-07-15 Jasem Mutlaq         Just account for the dec in the last step, no need to change the mosaic tile drawing code
ef84f225e 2020-07-15 Jasem Mutlaq         Account for cos(dec) in mosaic tool
0e0de5257 2020-07-14 Eric Dejouhanet      Improve fault tolerance during PHD2 interactions
7d1de4a14 2020-07-13 Jasem Mutlaq         Add filter wheel logging to capture dbus
adeebc903 2020-07-13 Jasem Mutlaq         Fix logging DBus call
